{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Mielto API Docs","colors":{"primary":"#16A34A","light":"#07C983","dark":"#15803D"},"logo":{"light":"https://mintcdn.com/mielto/9JsGYGvg5T19071i/logo/light.svg?fit=max\u0026auto=format\u0026n=9JsGYGvg5T19071i\u0026q=85\u0026s=391d537d3f05cc48967b9fa72581d4d0","dark":"https://mintcdn.com/mielto/9JsGYGvg5T19071i/logo/dark.svg?fit=max\u0026auto=format\u0026n=9JsGYGvg5T19071i\u0026q=85\u0026s=1c680050396a7831031d9526294ece19"},"favicon":"/favicon.svg","navbar":{"links":[{"href":"mailto:support@mielto.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://mielto.com/dashboard"}},"footer":{"socials":{"x":"https://x.com/mieltoinc","github":"https://github.com/mieltoinc","linkedin":"https://linkedin.com/company/mieltoinc"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"]},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Go to Mielto Dashboard","icon":"brain","href":"https://mielto.com/dashboard"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"mielto","hasAudioNarration":false,"actualSubdomain":"mielto","customDomains":["docs.mielto.com"],"gitSource":{"type":"github","owner":"michaelwang2018","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae93f52db40473c7c83c38c:success","clientVersion":"0.0.4111","searchFilterCounts":[{"language":"default","tag":"OpenAPI Reference","count":83},{"language":"default","tag":"Integrations","count":12},{"language":"default","tag":"Connections","count":11},{"language":"default","tag":"Collections","count":8},{"language":"default","tag":"Contents","count":8},{"language":"default","tag":"Chunks","count":7},{"language":"default","tag":"Conversations","count":7},{"language":"default","tag":"Memory","count":7},{"language":"default","tag":"Messages","count":6},{"language":"default","tag":"Guides","count":5}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/collections/search-collection","slug":"/api-reference/collections/search-collection","pageMetadata":{"title":"Search Collection","description":"Search within a collection using knowledge search.\n\nSupports different search types:\n- fulltext: Traditional text-based search\n- semantic: Vector similarity search\n- hybrid: Combination of fulltext and semantic search","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/collections/search","href":"/api-reference/collections/search-collection","autogeneratedByOpenApi":true,"hidden":false},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n li: \"li\",\n p: \"p\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Search within a collection using knowledge search.\"\n }), \"\\n\", _jsx(_components.p, {\n children: \"Supports different search types:\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsx(_components.li, {\n children: \"fulltext: Traditional text-based search\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"semantic: Vector similarity search\"\n }), \"\\n\", _jsx(_components.li, {\n children: \"hybrid: Combination of fulltext and semantic search\"\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Search Collection","description":"Search within a collection using knowledge search.\n\nSupports different search types:\n- fulltext: Traditional text-based search\n- semantic: Vector similarity search\n- hybrid: Combination of fulltext and semantic search","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/collections/search","href":"/api-reference/collections/search-collection","autogeneratedByOpenApi":true,"hidden":false}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Collections"],"summary":"Search Collection","description":"Search within a collection using knowledge search.\n\nSupports different search types:\n- fulltext: Traditional text-based search\n- semantic: Vector similarity search\n- hybrid: Combination of fulltext and semantic search","operationId":"search_collection_api_v1_collections_search_post","security":["8bdb4636-8b73-494a-b000-dbd72f7809f4"],"parameters":["9d3d3958-d613-4467-8532-5d1218d18521"],"requestBody":"2da378fa-f689-449c-bff1-6bb1505abbd9","responses":{"200":"40813836-ca33-470d-8e5a-991ac53b9821","404":"2cfd3521-da16-4cc4-912c-c4834a4ddcf1","422":"00f89acb-8f40-4fc0-93e2-19b3fdd1617d"},"method":"post","type":"path","servers":[],"path":"/api/v1/collections/search","baseUrlOptions":[],"title":"Search Collection","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"9d3d3958-d613-4467-8532-5d1218d18521":{"name":"X-Workspace-Id","in":"header","required":false,"schema":{"oneOf":[{"type":"string","title":"X-Workspace-Id","description":"The workspace ID","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"X-Workspace-Id","description":"The workspace ID","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"The workspace ID"}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"query":{"type":"string","title":"Query","description":"Search query string","isRequired":true,"uniqueKey":"query","typeLabel":"string"},"collection_id":{"type":"string","title":"Collection Id","description":"ID of the collection to search in","isRequired":true,"uniqueKey":"collection_id","typeLabel":"string"},"search_type":{"type":"string","enum":["vector","keyword","hybrid"],"title":"SearchType","description":"Type of search to perform","default":"hybrid","uniqueKey":"search_type","typeLabel":"enum\u003cstring>"},"filters":{"additionalProperties":true,"type":"object","title":"Filters","description":"Additional filters to apply","uniqueKey":"filters","typeLabel":"Filters · object"},"max_results":{"type":"integer","maximum":100,"minimum":1,"title":"Max Results","description":"Maximum number of results to return","default":10,"uniqueKey":"max_results","typeLabel":"integer"}},"type":"object","required":["query","collection_id"],"title":"SearchRequest","description":"Request schema for knowledge search.","uniqueKey":"","typeLabel":"SearchRequest · object"},"examples":{"Example":{"title":"Example","value":{"query":"\u003cstring>","collection_id":"\u003cstring>","search_type":"hybrid","filters":{},"max_results":10}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"40813836-ca33-470d-8e5a-991ac53b9821":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"results":{"items":{"properties":{"content":{"type":"string","title":"Content","description":"The content text","isRequired":true,"uniqueKey":"results.items.[INDEX].content","typeLabel":"string"},"score":{"type":"number","title":"Score","description":"Relevance score","isRequired":true,"uniqueKey":"results.items.[INDEX].score","typeLabel":"number"},"metadata":{"additionalProperties":true,"type":"object","title":"Metadata","description":"Additional metadata","uniqueKey":"results.items.[INDEX].metadata","typeLabel":"Metadata · object"},"content_id":{"oneOf":[{"type":"string","title":"Content Id","description":"ID of the content","uniqueKey":"results.items.[INDEX].content_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Content Id","description":"ID of the content","uniqueKey":"results.items.[INDEX].content_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].content_id","typeLabel":"string | null"},"source":{"oneOf":[{"type":"string","title":"Source","description":"Source of the content","uniqueKey":"results.items.[INDEX].source.oneOf.0","typeLabel":"string"},{"type":"null","title":"Source","description":"Source of the content","uniqueKey":"results.items.[INDEX].source.oneOf.1","typeLabel":"null"}],"uniqueKey":"results.items.[INDEX].source","typeLabel":"string | null"}},"type":"object","required":["content","score"],"title":"SearchResult","description":"Individual search result.","uniqueKey":"results.items.[INDEX]","typeLabel":"SearchResult · object"},"type":"array","title":"Results","description":"List of search results","isRequired":true,"uniqueKey":"results","typeLabel":"SearchResult · object[]"},"total_results":{"type":"integer","title":"Total Results","description":"Total number of results found","isRequired":true,"uniqueKey":"total_results","typeLabel":"integer"},"query":{"type":"string","title":"Query","description":"Original search query","isRequired":true,"uniqueKey":"query","typeLabel":"string"},"search_type":{"type":"string","enum":["vector","keyword","hybrid"],"title":"SearchType","description":"Type of search performed","isRequired":true,"uniqueKey":"search_type","typeLabel":"enum\u003cstring>"},"collection_id":{"type":"string","title":"Collection Id","description":"Collection that was searched","isRequired":true,"uniqueKey":"collection_id","typeLabel":"string"},"execution_time_ms":{"oneOf":[{"type":"number","title":"Execution Time Ms","description":"Search execution time in milliseconds","uniqueKey":"execution_time_ms.oneOf.0","typeLabel":"number"},{"type":"null","title":"Execution Time Ms","description":"Search execution time in milliseconds","uniqueKey":"execution_time_ms.oneOf.1","typeLabel":"null"}],"uniqueKey":"execution_time_ms","typeLabel":"number | null"}},"type":"object","required":["results","total_results","query","search_type","collection_id"],"title":"SearchResponse","description":"Response schema for knowledge search.","uniqueKey":"","typeLabel":"SearchResponse · object"},"examples":{"Example":{"title":"Example","value":{"results":[{"content":"\u003cstring>","score":123,"metadata":{},"content_id":"\u003cstring>","source":"\u003cstring>"}],"total_results":123,"query":"\u003cstring>","search_type":"vector","collection_id":"\u003cstring>","execution_time_ms":123}}},"exampleType":"generated"}},"exampleType":"generated"},"2cfd3521-da16-4cc4-912c-c4834a4ddcf1":{"description":"Collection not found","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"00f89acb-8f40-4fc0-93e2-19b3fdd1617d":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>"}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"8bdb4636-8b73-494a-b000-dbd72f7809f4":{"DualAuthScheme":{"type":"http","scheme":"bearer","scopes":[]}}},"servers":{},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"DualAuthScheme","name":"Authorization"}],"title":"DualAuthScheme"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"mielto","siteName":"Mielto API Docs","title":"Search Collection - Mielto API Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-10-28T23:49:49.104Z","originalFileLocation":"api-reference/collections/search-collection.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Search within a collection using knowledge search. Supports different search types: - fulltext: Traditional text-based search - semantic: Vector similarity search - hybrid: Combination of fulltext and semantic search\">\u003cmeta data-mint-head name=\"application-name\" content=\"Mielto API Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mielto/b7pFVeShrEw-fSre/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/mielto/b7pFVeShrEw-fSre/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mielto/b7pFVeShrEw-fSre/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mielto/b7pFVeShrEw-fSre/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mielto/b7pFVeShrEw-fSre/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mielto/b7pFVeShrEw-fSre/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mielto/b7pFVeShrEw-fSre/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mielto/b7pFVeShrEw-fSre/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mielto/b7pFVeShrEw-fSre/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Search Collection - Mielto API Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Search within a collection using knowledge search. Supports different search types: - fulltext: Traditional text-based search - semantic: Vector similarity search - hybrid: Combination of fulltext and semantic search\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Mielto API Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.mielto.com/api-reference/collections/search-collection\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://mielto.mintlify.site/_mintlify/api/og/v2?division=Collections\u0026amp;title=Search+Collection\u0026amp;description=Search+within+a+collection+using+knowledge+search.%0A%0ASupports+different+search+types%3A%0A-+fulltext%3A+Traditional+text-based+search%0A-+semantic%3A+Vector+similarity+sea\u0026amp;theme=3445abf328ae2e983756ed8d\u0026amp;signature=87074b00f792c773c55d32c4fab3e629f11395c61dfaa562da19305506748835\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Search Collection - Mielto API Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Search within a collection using knowledge search. Supports different search types: - fulltext: Traditional text-based search - semantic: Vector similarity search - hybrid: Combination of fulltext and semantic search\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://mielto.mintlify.site/_mintlify/api/og/v2?division=Collections\u0026amp;title=Search+Collection\u0026amp;description=Search+within+a+collection+using+knowledge+search.%0A%0ASupports+different+search+types%3A%0A-+fulltext%3A+Traditional+text-based+search%0A-+semantic%3A+Vector+similarity+sea\u0026amp;theme=3445abf328ae2e983756ed8d\u0026amp;signature=87074b00f792c773c55d32c4fab3e629f11395c61dfaa562da19305506748835\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/mielto/b7pFVeShrEw-fSre/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Mielto API Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#16A34A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.mielto.com/api-reference/collections/search-collection\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/collections/search-collection.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.mielto.com/#organization\",\"name\":\"Mielto API Docs\",\"url\":\"https://docs.mielto.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/mielto/9JsGYGvg5T19071i/logo/light.svg?fit=max\u0026auto=format\u0026n=9JsGYGvg5T19071i\u0026q=85\u0026s=391d537d3f05cc48967b9fa72581d4d0\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.mielto.com#website\",\"name\":\"Mielto API Docs\",\"url\":\"https://docs.mielto.com\",\"publisher\":{\"@id\":\"https://docs.mielto.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.mielto.com/api-reference/collections/search-collection#webpage\",\"url\":\"https://docs.mielto.com/api-reference/collections/search-collection\",\"name\":\"Search Collection\",\"description\":\"Search within a collection using knowledge search. Supports different search types: - fulltext: Traditional text-based search - semantic: Vector similarity search - hybrid: Combination of fulltext and semantic search\",\"dateModified\":\"2025-10-28T23:49:49.104Z\",\"isPartOf\":{\"@id\":\"https://docs.mielto.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.mielto.com/api-reference/collections/search-collection#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.mielto.com/api-reference/collections/search-collection#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Collections\",\"item\":\"https://docs.mielto.com/api-reference/collections/read-collections\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Search Collection\",\"item\":\"https://docs.mielto.com/api-reference/collections/search-collection\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.mielto.com/api-reference/collections/search-collection#apireference\",\"headline\":\"Search Collection\",\"name\":\"Search Collection\",\"description\":\"Search within a collection using knowledge search. Supports different search types: - fulltext: Traditional text-based search - semantic: Vector similarity search - hybrid: Combination of fulltext and semantic search\",\"url\":\"https://docs.mielto.com/api-reference/collections/search-collection\",\"mainEntityOfPage\":{\"@id\":\"https://docs.mielto.com/api-reference/collections/search-collection#webpage\"},\"dateModified\":\"2025-10-28T23:49:49.104Z\",\"publisher\":{\"@id\":\"https://docs.mielto.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.mielto.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Mielto API Docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Mielto API Docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/collections/search-collection.md","siteName":"Mielto API Docs","nav":{"global":{"anchors":[{"anchor":"Go to Mielto Dashboard","icon":"brain","href":"https://mielto.com/dashboard"}]},"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":""}]},{"tab":"OpenAPI Reference","groups":[{"group":"Compression","pages":[{"title":"Compress Context","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/compress","href":"/api-reference/compression/compress-context"}]},{"group":"API Keys","pages":[{"title":"List Api Keys","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/api-keys","href":"/api-reference/api-keys/list-api-keys"},{"title":"Create Api Key","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/api-keys","href":"/api-reference/api-keys/create-api-key"},{"title":"Get Api Key","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/api-keys/{api_key_id}","href":"/api-reference/api-keys/get-api-key"},{"title":"Update Api Key","deprecated":null,"version":null,"openapi":"api-reference/openapi.json put /api/v1/api-keys/{api_key_id}","href":"/api-reference/api-keys/update-api-key"},{"title":"Delete Api Key","deprecated":null,"version":null,"openapi":"api-reference/openapi.json delete /api/v1/api-keys/{api_key_id}","href":"/api-reference/api-keys/delete-api-key"}]},{"group":"Collections","pages":[{"title":"Read Collections","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/collections","href":"/api-reference/collections/read-collections"},{"title":"Create Collection","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/collections","href":"/api-reference/collections/create-collection"},{"title":"Read Collection","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/collections/{collection_id}","href":"/api-reference/collections/read-collection"},{"title":"Update Collection","deprecated":null,"version":null,"openapi":"api-reference/openapi.json put /api/v1/collections/{collection_id}","href":"/api-reference/collections/update-collection"},{"title":"Delete Collection","deprecated":null,"version":null,"openapi":"api-reference/openapi.json delete /api/v1/collections/{collection_id}","href":"/api-reference/collections/delete-collection"},{"title":"Archive Collection","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/collections/{collection_id}/archive","href":"/api-reference/collections/archive-collection"},{"title":"Update Collection Stats","description":"Update collection statistics.","deprecated":null,"version":null,"openapi":"api-reference/openapi.json put /api/v1/collections/{collection_id}/stats","href":"/api-reference/collections/update-collection-stats"},{"title":"Search Collection","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/collections/search","href":"/api-reference/collections/search-collection"}]},{"group":"Contents","pages":[{"title":"List Contents","description":"List contents with pagination and filtering.\n\nReturns a paginated list of contents from the workspace's knowledge base.\n\nArgs:\n collection_id: Filter by specific collection\n status: Filter by processing status\n skip: Number of records to skip (for pagination)\n limit: Maximum number of records to return\n sort_by: Field to sort by (created_at, updated_at, name, size)\n sort_order: Order direction (asc or desc)\n \nReturns:\n PaginatedResponse with contents and total count\n \nExamples:\n Get first page:\n GET /contents?skip=0\u0026limit=20\n \n Get second page:\n GET /contents?skip=20\u0026limit=20\n \n Filter by collection:\n GET /contents?collection_id=col_123\u0026limit=50\n \n Filter by status:\n GET /contents?status=completed\u0026limit=50\n \n Sort by size:\n GET /contents?sort_by=size\u0026sort_order=desc\u0026limit=20\n \n Combined filters:\n GET /contents?collection_id=col_123\u0026status=completed\u0026skip=0\u0026limit=20","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/contents","href":"/api-reference/contents/list-contents"},{"title":"Get Content","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/contents/{content_id}","href":"/api-reference/contents/get-content"},{"title":"Update Content","deprecated":null,"version":null,"openapi":"api-reference/openapi.json put /api/v1/contents/{content_id}","href":"/api-reference/contents/update-content"},{"title":"Delete Content","deprecated":null,"version":null,"openapi":"api-reference/openapi.json delete /api/v1/contents/{content_id}","href":"/api-reference/contents/delete-content"},{"title":"Update Content","deprecated":null,"version":null,"openapi":"api-reference/openapi.json patch /api/v1/contents/{content_id}","href":"/api-reference/contents/update-content-1"},{"title":"Get Content Chunks","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/contents/{content_id}/chunks","href":"/api-reference/contents/get-content-chunks"},{"title":"Bulk Delete Contents","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/contents/bulk/delete","href":"/api-reference/contents/bulk-delete-contents"},{"title":"Bulk Update Status","deprecated":null,"version":null,"openapi":"api-reference/openapi.json patch /api/v1/contents/bulk/update-status","href":"/api-reference/contents/bulk-update-status"}]},{"group":"Conversations","pages":[{"title":"List Conversations","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/conversations","href":"/api-reference/conversations/list-conversations"},{"title":"Create Conversation","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/conversations","href":"/api-reference/conversations/create-conversation"},{"title":"Get Conversation","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/conversations/{conversation_id}","href":"/api-reference/conversations/get-conversation"},{"title":"Update Conversation","deprecated":null,"version":null,"openapi":"api-reference/openapi.json put /api/v1/conversations/{conversation_id}","href":"/api-reference/conversations/update-conversation"},{"title":"Delete Conversation","deprecated":null,"version":null,"openapi":"api-reference/openapi.json delete /api/v1/conversations/{conversation_id}","href":"/api-reference/conversations/delete-conversation"},{"title":"End Conversation","deprecated":null,"version":null,"openapi":"api-reference/openapi.json patch /api/v1/conversations/{conversation_id}/end","href":"/api-reference/conversations/end-conversation"},{"title":"Archive Conversation","deprecated":null,"version":null,"openapi":"api-reference/openapi.json patch /api/v1/conversations/{conversation_id}/archive","href":"/api-reference/conversations/archive-conversation"}]},{"group":"Messages","pages":[{"title":"Get Conversation Message Stats","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/conversations/{conversation_id}/stats","href":"/api-reference/messages/get-conversation-message-stats"},{"title":"List Messages","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/messages","href":"/api-reference/messages/list-messages"},{"title":"Create Message","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/messages","href":"/api-reference/messages/create-message"},{"title":"Get Message","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/messages/{message_id}","href":"/api-reference/messages/get-message"},{"title":"Update Message","deprecated":null,"version":null,"openapi":"api-reference/openapi.json put /api/v1/messages/{message_id}","href":"/api-reference/messages/update-message"},{"title":"Delete Message","deprecated":null,"version":null,"openapi":"api-reference/openapi.json delete /api/v1/messages/{message_id}","href":"/api-reference/messages/delete-message"}]},{"group":"OpenAI Compatible Endpoint","pages":[{"title":"Responses Endpoint","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/responses","href":"/api-reference/openai-compatible-endpoint/responses-endpoint"},{"title":"Chat Completions Endpoint","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/chat/completions","href":"/api-reference/openai-compatible-endpoint/chat-completions-endpoint"}]},{"group":"Memory","pages":[{"title":"List Memories","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/memories","href":"/api-reference/memory/list-memories"},{"title":"Create Memory","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/memories","href":"/api-reference/memory/create-memory"},{"title":"Get Memory","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/memories/{memory_id}","href":"/api-reference/memory/get-memory"},{"title":"Update Memory","deprecated":null,"version":null,"openapi":"api-reference/openapi.json put /api/v1/memories/{memory_id}","href":"/api-reference/memory/update-memory"},{"title":"Delete Memory","deprecated":null,"version":null,"openapi":"api-reference/openapi.json delete /api/v1/memories/{memory_id}","href":"/api-reference/memory/delete-memory"},{"title":"Search Memories","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/memories/search","href":"/api-reference/memory/search-memories"},{"title":"Replace Memory","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/memories/{memory_id}/replace","href":"/api-reference/memory/replace-memory"}]},{"group":"Content Upload","pages":[{"title":"Upload","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/upload","href":"/api-reference/content-upload/upload"}]},{"group":"Chunks","pages":[{"title":"Create Chunks","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/chunks/create","href":"/api-reference/chunks/create-chunks"},{"title":"Get Chunk","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/chunks/{chunk_id}","href":"/api-reference/chunks/get-chunk"},{"title":"Delete Chunk","deprecated":null,"version":null,"openapi":"api-reference/openapi.json delete /api/v1/chunks/{chunk_id}","href":"/api-reference/chunks/delete-chunk"},{"title":"Update Chunk","deprecated":null,"version":null,"openapi":"api-reference/openapi.json patch /api/v1/chunks/{chunk_id}","href":"/api-reference/chunks/update-chunk"},{"title":"List Chunks","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/chunks","href":"/api-reference/chunks/list-chunks"},{"title":"Delete Chunks Batch","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/chunks/delete","href":"/api-reference/chunks/delete-chunks-batch"},{"title":"Delete Chunks By Content","deprecated":null,"version":null,"openapi":"api-reference/openapi.json delete /api/v1/chunks/content/{content_id}","href":"/api-reference/chunks/delete-chunks-by-content"}]},{"group":"Credentials","pages":[{"title":"List Credentials","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/credentials","href":"/api-reference/credentials/list-credentials"},{"title":"Create Credential","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/credentials","href":"/api-reference/credentials/create-credential"},{"title":"Get Credential","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/credentials/{credential_id}","href":"/api-reference/credentials/get-credential"},{"title":"Update Credential","deprecated":null,"version":null,"openapi":"api-reference/openapi.json put /api/v1/credentials/{credential_id}","href":"/api-reference/credentials/update-credential"},{"title":"Delete Credential","deprecated":null,"version":null,"openapi":"api-reference/openapi.json delete /api/v1/credentials/{credential_id}","href":"/api-reference/credentials/delete-credential"}]},{"group":"Connections","pages":[{"title":"List Connections","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/connections","href":"/api-reference/connections/list-connections"},{"title":"Create Connection","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/connections","href":"/api-reference/connections/create-connection"},{"title":"Get Connection","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/connections/{connection_id}","href":"/api-reference/connections/get-connection"},{"title":"Update Connection","deprecated":null,"version":null,"openapi":"api-reference/openapi.json put /api/v1/connections/{connection_id}","href":"/api-reference/connections/update-connection"},{"title":"Delete Connection","deprecated":null,"version":null,"openapi":"api-reference/openapi.json delete /api/v1/connections/{connection_id}","href":"/api-reference/connections/delete-connection"},{"title":"Update Connection Status","deprecated":null,"version":null,"openapi":"api-reference/openapi.json patch /api/v1/connections/{connection_id}/status","href":"/api-reference/connections/update-connection-status"},{"title":"Get Connections By Integration","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/connections/integrations/{integration_type}","href":"/api-reference/connections/get-connections-by-integration"},{"title":"Get User Connections","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/connections/users/{user_id}","href":"/api-reference/connections/get-user-connections"},{"title":"Get Integration Requirements","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/connections/integrations/{integration_id}/requirements","href":"/api-reference/connections/get-integration-requirements"},{"title":"Validate Connection Requirements","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/connections/validate","href":"/api-reference/connections/validate-connection-requirements"},{"title":"Get Connection Stats","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/connections/stats","href":"/api-reference/connections/get-connection-stats"}]},{"group":"Integrations","pages":[{"title":"List Integrations","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/integrations","href":"/api-reference/integrations/list-integrations"},{"title":"List All Model Providers","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/integrations/models","href":"/api-reference/integrations/list-all-model-providers"},{"title":"List All Vector Stores","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/integrations/vector-stores","href":"/api-reference/integrations/list-all-vector-stores"},{"title":"Get All Resources","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/integrations/all","href":"/api-reference/integrations/get-all-resources"},{"title":"Get Integration","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/integrations/{integration_id}","href":"/api-reference/integrations/get-integration"},{"title":"Get Auth Methods","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/integrations/{integration_id}/auth-methods","href":"/api-reference/integrations/get-auth-methods"},{"title":"Get Integration Actions","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/integrations/{integration_id}/actions","href":"/api-reference/integrations/get-integration-actions"},{"title":"Get Integration Triggers","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/integrations/{integration_id}/triggers","href":"/api-reference/integrations/get-integration-triggers"},{"title":"List Model Providers","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/integrations/providers","href":"/api-reference/integrations/list-model-providers"},{"title":"Get Model Provider","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/integrations/providers/{provider_id}","href":"/api-reference/integrations/get-model-provider"},{"title":"Get Provider Models","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/integrations/providers/{provider_id}/models","href":"/api-reference/integrations/get-provider-models"},{"title":"Get Model","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/integrations/providers/{provider_id}/models/{model_id}","href":"/api-reference/integrations/get-model"}]},{"group":"OAuth","pages":[{"title":"Initiate Oauth","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/oauth/initiate","href":"/api-reference/oauth/initiate-oauth"},{"title":"Refresh Oauth Token","deprecated":null,"version":null,"openapi":"api-reference/openapi.json post /api/v1/oauth/refresh/{connection_id}","href":"/api-reference/oauth/refresh-oauth-token"},{"title":"Oauth Success","deprecated":null,"version":null,"openapi":"api-reference/openapi.json get /api/v1/oauth/success","href":"/api-reference/oauth/oauth-success"}]}]}]},"basePath":"","title":"Search Collection - Mielto API Docs","buildId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","deploymentId":"dpl_DqYu5MPb49gWBBbUGgpHQUmCHY3P","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CybtLBIt.js","utils-BMLj2fvV.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-B6In562Y.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dr8Mfhp9.js","snippetPresets-2rmQvMVl.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-WMqJYdZj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CJ-MlPHu.js","shallow-dY3TMRCk.js","getApiPlaygroundDisplay-v-1B2bKm.js","CodeSnippet-BDhiTB7U.js","CodeSnippets-D9hnzQcS.js","Page-C4GwDT3_.js","getPastedJson-Th2V45jI.js","icon-BQXch1W9.js","MethodPill-BCqUneP3.js","DuplicateIcon-Q_-bhurZ.js","createIcon-DUjLHRqp.js","DynamicMarkdown-B-f2cqXQ.js","SectionHeading-Da5NsV4v.js","axios-vUo_bRtp.js","Markdown-D13FWkIM.js","clsx-D3Isdib3.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-C-XZBk9h.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink--qIqmmVG.js"]}